QCAT - Task #1137

User Story # 1660 (Closed): Notifications: Improvements and mail

Enable mail notifications
05 Dec 2016 10:02 - Lukas Vonlanthen

Status: Closed Start date: 05 Dec 2016
Priority: Normal Due date:

Assignee: Sebastian Manger % Done: 80%
Category: Estimated time: 64.00 hours
Target version: QCAT Backlog Spent time: 39.50 hours
Resolution:

Description

With some sort of control (panel)

History

#1 - 06 Dec 2016 16:20 - Sebastian Manger
- Estimated time set to 40.00 h

#2 - 27 Jan 2017 13:06 - Kurt Gerber

- Status changed from New to Accepted

#3 - 07 Feb 2017 10:59 - Sebastian Manger
- Estimated time changed from 40.00 h to 0.00 h

#4 - 04 May 2017 17:34 - Kurt Gerber
- Tracker changed from Task to User Story

- Parent task deleted (#916)

#5 - 04 May 2017 17:39 - Kurt Gerber
- Estimated time changed from 0.00 h to 40.00 h

e basis-setup (8h)

e models erweitern
e datenmigrationen mit defaults; bisherige notifications sind 'sent’

e sprache pro user speichern (default: browsersprache, Ubersteuern in 'my profile' --> nur fir mails!)

mailversand steuern (16h)

¢ globale-env var pro hosting (dev -> keine mails, demo -> keine mails, live -> mails)
e pro user: mail-praferenzen speichern
e mail-praferenzen updaten (my profile, mit signed url)

*wenn nicht abonnierte mails - dennoch 'abhaken’

kontrolle (8h)

*admin-page mit Gbersicht Gber versandten mails --> aus log-files lesen?
*management-command: clean-mail-log / oder logrotate

mails senden (8h)

*management command
*cron auf server
#6 - 16 May 2017 17:11 - Sebastian Manger
- % Done changed from 0 to 80

#7 - 18 May 2017 15:15 - Kurt Gerber

- Status changed from Accepted to In Progress

#8 - 18 May 2017 15:15 - Kurt Gerber

- Status changed from In Progress to Accepted

#9 - 18 May 2017 15:15 - Kurt Gerber

- Status changed from Accepted to In Progress

#10 - 23 May 2017 15:02 - Sebastian Manger

- Status changed from In Progress to Feedback

¢ Alexandra/Mats (oder einfach zwei Personen, welche die Publizierung betreuuen) spielen das ganze ein paar Mal durch und prifen die Mails.

¢ Hier wlrde ich ein Meeting organisieren. Das sollte relativ bald (max. zwei Wochen) passieren.

e Es gibt eine (genau eine) Runde mit Text-Verbesserungen, welche auch Ubersetzt werden sollten. Diese mdchte ich noch vor meinem Urlaub
anwenden.

¢ Danach geht das live, aber bis der QA-Import abgeschlossen wird, erhalten nur CDE-Staff Personen Mails. Ansonsten erhalten Personen von
uralt-Fallen plétzlich Mails, das kénnte wie ein 'Fehler' fir die Empfanger wirken.

#11 - 20 Jul 2017 12:34 - Anonymous

Was ist hier der Stand? Es wére gut wenn die Notifications Ende August online sind.

#12 - 03 Aug 2017 14:19 - Kurt Gerber

- Assignee changed from Sebastian Manger to Anonymous

Nun: Der Stand ist eingentlich klar: Sebastian hat gesagt wie der Stand ist und was er braucht.
Der Ball liegt also bei euch.

Allerdings ist das in den von Sebastian vorgesehenen 2 Wochen nicht geschehen. Ich schlage vor, dass wir hier warten, bis Sebastian zurick ist.
Davor haben wir eh keine Zeit.
Aber jemand von euch sollte sich der Review annehmen. Insbesondere von den Mailtexten.

#13 - 28 Sep 2017 19:52 - Kurt Gerber
- Priority changed from High to Normal

#14 - 05 Dec 2017 10:01 - Nina Lauterburg

ich mdchte die notifications gerne am Montag zusammen mit Debi testen. Sind die e-mail notifications auf dev vorhanden? Ich habe mich als reviewer
bei einem Fall hinzugeflgt und kein Mail erhalten...

#15 - 09 Jan 2018 15:06 - Sebastian Manger

- translation missing: en.field_tag_list set to Notifications

#16 - 09 Jan 2018 15:10 - Sebastian Manger
- Parent task set to #1660

#17 - 25 Jan 2018 15:08 - Kurt Gerber
- Priority changed from Normal to High
- Assignee changed from Anonymous to Kurt Gerber

Entscheid 25.1.2018:

e Kurzes Briefing organisieren zu Stand und der Frage 'wo sind die Texte?"'
¢ Vor dem definitven Deploy auf QCAT Live muss Renate das ganze Abnehmen. Sie gibt das Go!

#18 - 27 Feb 2018 10:09 - Kurt Gerber
- Priority changed from High to Normal
#19 - 06 Mar 2018 10:10 - Kurt Gerber
- Estimated time changed from 40.00 h to 64.00 h

#20 - 06 Mar 2018 10:10 - Kurt Gerber
- Status changed from Feedback to Accepted

- Assignee changed from Kurt Gerber to Sebastian Manger

As discussed: this issue is created so any project could 'take over' the estimated time.
Specified tasks:
e Meeting with Alexandra/Debbie; check all mails in their context. Output: word file with all mails, redacted by secretariat
¢ Meeting with Renate: check output of previous meeting.
¢ One time revision of texts and (if necessary) recipients of emails.
L]
L]

Revise tests.
Going live and monitoring.

#21 - 06 Mar 2018 10:13 - Kurt Gerber

- Tracker changed from User Story to Task

#22 - 29 Apr 2019 10:09 - Kurt Gerber

- Status changed from Accepted to Resolved
Was done and put productive.

#23 - 29 Apr 2019 10:09 - Kurt Gerber

- Status changed from Resolved to Closed
